gsasl_md5pwd_get_password(3)

NAME
gsasl_md5pwd_get_password - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_md5pwd_get_password(const char * filename, const char * username, char * key, size_t * keylen);

ARGUMENTS

const char * filename
    filename of file containing passwords.

const char * username
    username string.

char * key
    output character array.

size_t * keylen
    input maximum size of output character array, on output contains actual length of output array.

DESCRIPTION
Retrieve password for user from specified file. To find out how large the output array must be, call this function with out=NULL. The file should be on the UoW "MD5 Based Authentication" format, which means it is in text format with comments denoted by # first on the line, with user entries looking as "usernameTABpassword". This function removes CR and LF at the end of lines before processing. TAB, CR, and LF denote ASCII values 9, 13, and 10, respectively.

RETURN VALUE
Return GSASL_OK if output buffer contains the password, GSASL_AUTHENTICATION_ERROR if the user could not be found, or other error code.

DEPRECATED
Use gsasl_simple_getpass() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.